# tikzblocks

A collection of TikZ codes to make block diagrams. Following blocks are
included:

![List of all blocks](allblocks.png)

## How to use
Clone this repository, then add something as follows to your environment
variable `TEXINPUTS`:

    TEXINPUTS=/path/to/tikzblocks

after that, you may use the library in any LaTeX file by just using

    \usepackage{tikzblocks}

## Settings
* `\setblockcolor{color}` sets the color for the blocks
* `\setlinecolor{color}` sets the color for the lines and arrows
* `\settextcolor{color}` sets the color for text *inside* the blocks
* `\setlabelcolor{color}` sets the color for the labels (*outside* the blocks)
* `\setblocksize{size}` sets the size of the blocks
* `\setarrowstyle{style}` lets you change the arrow style, e.g. `latex` or `latex'` and so on (see tikz arrow styles)
* `\setblockfontsize{size}` lets you change the font size (e.g. `\tiny` or `large`)
